Subject: bug#78474: 31.0.50; Wrong char insertion in rxvt

From: Eli Zaretskii <[email-masked]>
Date: Tue, 22 Jul 2025 17:20:08 +0300

> Date: Tue, 22 Jul 2025 15:59:24 +0200
> From: Seb Hinderer <[email-masked]>
> Cc: Samuel Thibault <[email-masked]>, Eli Zaretskii <[email-masked]>,
> 	[email-masked], [email-masked]
> 
> Robert Pluim (2025/07/22 14:45 +0200):
> > >>>>> On Tue, 22 Jul 2025 14:33:38 +0200, Samuel Thibault <[email-masked]> said:
> >
> >     >> That was my misinterpretation of the request. Itʼs easy enough to
> >     >> restrict the change to only affect the '\t\b' case, but weʼll have to
> >     >> come up with a new name for the user option :-)
> >
> >     Samuel> Since \t\b is actually slower than \e[C, I don't see why it should be an
> >     Samuel> option.
> >
> > Youʼre a braver man than I to make such a statement, and I for one
> > will not propose a change like this that cannot be controlled with a
> > variable of some sort.
> 
> I am not sure it's a matter of bravety. Do we know one context in
> whichthe new way would not be desirable and where one may want to not
> have that change?

We have enough gray hair to know that such contexts will almost
certainly reveal themselves at some point.  And if they don't, then
the option which is never used will; not do any harm, will it?